Katello - Bug #24142

Subscriptions page is blank when switching between Orgs
07/03/2018 11:17 AM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee: Amir Fefer
Category: Subscriptions
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1597082 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/751
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1597082

Description of problem:
When user is on Subs page and switches Orgs, the page is not properly refreshed. user is left with a blank page.

Version-Release number of selected component (if applicable):
6.4.0 snap 10

How reproducible:

Steps to Reproduce:

1. Create an org other than Default Org (e.g., Org 123)

2. Upload manifests to both Default org and Org 123

3. Navigate to the Subscriptions page for one of these orgs; assure page renders.
4. Using the Org switcher, choose the other org.

Actual results:
User is given a blank page.

Expected results:
Subscriptions page is reloaded with the proper org context.

Additional info:
The workaround is of course to navigate back to the Subs page via the Ul. But as it exists right now, it feels very janky.

Associated revisions

Revision bfd20b92 - 07/11/2018 02:53 PM - Amir Fefer
Fixes #24140, #24142 - mount react root from the layout

History

#1 - 07/03/2018 11:19 AM - Tomas Strachota

- Target version set to 219

Fhisis-highlyrelatedto-https:/proje

Disregard this comment | got lost in this know of issues :/

#2 - 07/03/2018 11:19 AM - Tomas Strachota
- Related to Bug #22568: RH repos XUI: page crashes when in Any context added

#3 - 07/03/2018 11:24 AM - Tomas Strachota
https://bugzilla.redhat.com/show_bug.cgi?id=1597082
https://projects.theforeman.org/issues/22568

- Related to deleted (Bug #22568: RH repos XUI: page crashes when in Any context)

#4 - 07/03/2018 03:37 PM - Greg Sutcliffe
- Triaged set to No
- Team Backlog UX added

#5 - 07/10/2018 02:25 PM - Greg Sutcliffe
- Target version deleted (219)

#6 - 07/11/2018 12:05 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7518 added

#7 - 07/11/2018 02:53 PM - Walden Raines

- Target version set to Katello 3.7.0

#8 - 07/11/2018 03:01 PM - Amir Fefer
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|bfd20b921b4852003c5ec38fb143e04b19eab406.
